package cn.com.ty.lift.business.maintenance.dao.mapper;

import cn.com.ty.lift.business.maintenance.dao.entity.model.response.PropertyMtResponse;
import cn.com.ty.lift.common.constants.ApiConstants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Select;

import java.time.LocalDateTime;

public interface PropertyMaintenanceMapper {
    @Select(ApiConstants.SQL.QUERY_MAINTENANCE_PLAN_EVERYDAY)
    Page<PropertyMtResponse> queryMaintenancePlanEveryDay(Page<PropertyMtResponse> page, Integer status, LocalDateTime planDate, Long userId);

    @Select(ApiConstants.SQL.SELECT_COUNT_FROM_TABLE)
    Integer selectCount(String table, String condition);
}